package com.one.file;

import java.util.Enumeration;
import javax.microedition.io.Connection;

public class GenericConnectionProvider implements ConnectionProvider
{
	public Enumeration listRoots()
	{
		return GenericFileConnection.listRoots();
	}

	public FileConnection convertFileConnection(Connection conn)
	{
		return new GenericFileConnection(conn);
	}
}
